-- Nach Druckern sortierte Druckstatistik
SELECT 
    drucker AS `Drucker`,
    SUM(seiten) AS `Alle Seiten`
FROM drucklog
GROUP BY drucker
ORDER BY `Alle Seiten` DESC;

-- Tägliche Druckstatistik
SELECT 
    DATE(datum) AS `Datum`,
    SUM(seiten) AS `Alle Seiten`
FROM drucklog
GROUP BY DATE(datum)
ORDER BY `Datum`;

-- Täglich nach Drucker sortierte Druckstatistik
SELECT 
    DATE(datum) AS `Datum`,
    drucker AS `Drucker`,
    SUM(seiten) AS `Alle Seiten`
FROM drucklog
GROUP BY DATE(datum), drucker
ORDER BY `Datum`, `Drucker`;

-- Wöchentlich Druckstatistik
SELECT 
    DATE_FORMAT(datum, '%Y-%u') AS `Woche`,
    SUM(seiten) AS `Alle Seiten`
FROM drucklog
GROUP BY DATE_FORMAT(datum, '%Y-%u')
ORDER BY `Woche`;

-- Wöchentlich nach Drucker sortierte Druckstatistik
SELECT 
    DATE_FORMAT(datum, '%Y-%u') AS `Woche`,
    drucker AS `Drucker`,
    SUM(seiten) AS `Alle Seiten`
FROM drucklog
GROUP BY DATE_FORMAT(datum, '%Y-%u'), drucker
ORDER BY `Woche`, `Drucker`;

-- Tägliche Druckstatistik für einen bestimmten Drucker
SELECT 
    DATE(datum) AS `Datum`,
    drucker AS `Drucker`,
    SUM(seiten) AS `Alle Seiten`
FROM drucklog
WHERE drucker = 'NYOMTATO_NEVE'
  AND DATE(datum) = CURDATE()
GROUP BY DATE(datum), drucker;

-- Täglich nach Rechner sortierte Druckstatistik
SELECT 
    DATE(datum) AS `Datum`,
    rechner AS `Rechner`,
    SUM(seiten) AS `Alle Seiten`
FROM drucklog
GROUP BY DATE(datum), rechner
ORDER BY `Datum`, `Rechner`;

-- Monatliche Druckstatistik venigsten gedrucht Seiten
SELECT 
    DATE_FORMAT(datum, '%Y-%m') AS `Monat`,
    SUM(seiten) AS `Alle Seiten`
FROM drucklog
GROUP BY DATE_FORMAT(datum, '%Y-%m')
ORDER BY `Alle Seiten` ASC
LIMIT 9;

-- Nach Druckern sortierte Druckstatistik ( auser paar Drucker )
SELECT 
    drucker AS `Drucker`,
    SUM(seiten) AS `Alle Seiten`
FROM drucklog
WHERE drucker NOT IN ('Elbe Fach 2', 'Elbe Fach A', 'Elbe Fach B', 'Elbe Fach 1', 'Weser Fach 4', 'Weser Fach 7', 'Elbe Fach 7')
GROUP BY drucker
ORDER BY `Alle Seiten` ASC
LIMIT 10;

